import request from '@/utils/request'
 
export function getPrescribeList(query) {
  return request({
    url: '/app/prescribe/getPrescribeList',
    method: 'get',
    params: query
  })
}

export function getDoctorPrescribeList(query) {
  return request({
    url: '/app/prescribe/getDoctorPrescribeList',
    method: 'get',
    params: query
  })
}

// 获取处方详细信息
export function getPrescribe(prescribeId) {
  return request({
    url: '/app/prescribe/getPrescribeById',
    method: 'get',
    params: {
      prescribeId: prescribeId
    }
  })
}
export function getDoctorPrescribe(prescribeId) {
  return request({
    url: '/app/prescribe/getDoctorPrescribeById',
    method: 'get',
    params: {
      prescribeId: prescribeId
    }
  })
}
// 删除处方
export function delDoctorPrescribe(data) {
  return request({
    url: '/app/prescribe/delDoctorPrescribe',
    method: 'post',
    data: data
  })
}

// 添加处方
export function addPrescribe(data) {
  return request({
    url: '/app/prescribe/addPrescribe',
    method: 'post',
    data: data
  })
}
//编辑处方
export function editPrescribe(data) {
  return request({
    url: '/app/prescribe/editPrescribe',
    method: 'post',
    data: data
  })
}

// 添加处方
export function createPrescribe(data) {
  return request({
    url: '/app/prescribe/createPrescribe',
    method: 'post',
    data: data
  })
}

// 获取处方单图片信息
export function getPrescribeImg(param) {
  return request({
    url: '/app/prescribe/getPrescribeImg',
    method: 'get',
    params: param
  })
}

// 审核处方
export function auditPrescribe(data) {
  return request({
    url: '/app/prescribe/audit',
    method: 'post',
    data: data
  })
}








